Bug 188449 - No Networking with 3Com 3c940 on Kernel config-2.6.16-1.2069_FC4smp
Summary: No Networking with 3Com 3c940 on Kernel config-2.6.16-1.2069_FC4smp
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-10 06:23 UTC by Bradley Remedios
Modified: 2015-01-04 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-21 01:53:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bradley Remedios 2006-04-10 06:23:38 UTC
On new 2.6.16-1.2069_FC4smp kernel, 3Com 3c940 is unable to connect to network:
This works on 2.6.15-1.1831_FC4smp which I have currently reverted to.
This problem is easily reproducible by booting the computer.

Steps to Reproduce:
1. Boot computer.
2. Wait for computer to boot.  Initially I thought that they computer was
hanging on boot (Display runs off a TV.) but eventually it does boot.
3. Try to use network (ping, dig, wget, nmbd, etc...)
  
Additional info:
Computer Intel 3.0 Ghz Hyperthread processor on ASUS P4P-800 Deluxe motherboard.
 The 3Com 3c940 is an on-board gigabit ethernet lan that is used in 100 MBit mode.

On boot, the computer takes a long time to boot and appears to hang. 
Originally, I thought that this was the display driver but no I believe that it
may actually be the ethernet driver.  If you wait long enough, X boots and you
may use the system.

Trying to use the network interface results in the error Operation Not Supported.

ifup eth0 output:
$ ifup eth0
eth0: network connection up using port A
    speed:	     100
    autonegotiation  yes
    duplex mode      full
    flowcontorl      symmetric
    irq moderation   disabled
    scatter-gather   disabled
    tx-checksum      disabled
    rx-checsum       disabled

Related Messages during boot:
Apr  9 10:55:25 pvr kernel: eth0: 3Com Gigabit LOM (3C940)
Apr  9 10:55:25 pvr kernel:       PrefPort:A  RlmtMode:Check Link State

Comment 1 Dave Jones 2006-09-17 03:23:40 UTC
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.


Comment 2 Dave Jones 2006-10-16 19:49:12 UTC
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Comment 3 Bradley Remedios 2006-10-17 19:12:32 UTC
I have switched that machine to Ubuntu, so I can no longer re-test.


Note You need to log in before you can comment on or make changes to this bug.